python-pysam_0.7.7-1ubuntu1_amd64.deb


Advertisement

Description

python-pysam - interface for the SAM/BAM sequence alignment and mapping format

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pysam
Package version 0.7.7
Package release 1ubuntu1
Package architecture amd64
Package type deb
Installed size 2.23 KB
Download size 631.92 KB
Official Mirror archive.ubuntu.com
Pysam is a Python module for reading and manipulating Samfiles. It's a
lightweight wrapper of the samtools C-API.

Alternatives

Package Version Architecture Repository
python-pysam_0.7.7-1ubuntu1_i386.deb 0.7.7 i386 Ubuntu Universe
python-pysam - - -

Requires

Name Value
cython -
libc6 >= 2.15
python >= 2.7~
python << 2.8
python-pyrex -
python:any >= 2.7.5-5~
zlib1g >= 1:1.2.3.3

Download

Type URL
Binary Package python-pysam_0.7.7-1ubuntu1_amd64.deb
Source Package python-pysam

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pysam deb package:
    # sudo apt-get install python-pysam

Files

Path
/usr/lib/python2.7/dist-packages/pysam/Pileup.py
/usr/lib/python2.7/dist-packages/pysam/TabProxies.pxd
/usr/lib/python2.7/dist-packages/pysam/TabProxies.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/pysam/__init__.py
/usr/lib/python2.7/dist-packages/pysam/csamtools.pxd
/usr/lib/python2.7/dist-packages/pysam/csamtools.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/pysam/ctabix.pxd
/usr/lib/python2.7/dist-packages/pysam/ctabix.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/pysam/cvcf.pxd
/usr/lib/python2.7/dist-packages/pysam/cvcf.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/pysam/namedtuple.py
/usr/lib/python2.7/dist-packages/pysam/pysam_util.h
/usr/lib/python2.7/dist-packages/pysam/tabix_util.h
/usr/lib/python2.7/dist-packages/pysam/version.py
/usr/lib/python2.7/dist-packages/pysam-0.7.7.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pysam-0.7.7.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pysam-0.7.7.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/pysam-0.7.7.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pysam-0.7.7.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/pysam/include/__init__.py
/usr/lib/python2.7/dist-packages/pysam/include/samtools/__init__.py
/usr/lib/python2.7/dist-packages/pysam/include/samtools/bam.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/bam2bcf.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/bam_endian.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/bam_tview.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/bgzf.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/errmod.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/faidx.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/kaln.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/khash.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/klist.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/knetfile.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/kprobaln.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/kseq.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/ksort.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/kstring.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/pysam.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/razf.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/sam.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/sam_header.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/sample.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/bcftools/__init__.py
/usr/lib/python2.7/dist-packages/pysam/include/samtools/bcftools/bcf.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/bcftools/kmin.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/bcftools/prob1.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/win32/__init__.py
/usr/lib/python2.7/dist-packages/pysam/include/samtools/win32/xcurses.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/win32/zconf.h
/usr/lib/python2.7/dist-packages/pysam/include/samtools/win32/zlib.h
/usr/lib/python2.7/dist-packages/pysam/include/tabix/__init__.py
/usr/lib/python2.7/dist-packages/pysam/include/tabix/bam_endian.h
/usr/lib/python2.7/dist-packages/pysam/include/tabix/bgzf.h
/usr/lib/python2.7/dist-packages/pysam/include/tabix/khash.h
/usr/lib/python2.7/dist-packages/pysam/include/tabix/knetfile.h
/usr/lib/python2.7/dist-packages/pysam/include/tabix/kseq.h
/usr/lib/python2.7/dist-packages/pysam/include/tabix/ksort.h
/usr/lib/python2.7/dist-packages/pysam/include/tabix/kstring.h
/usr/lib/python2.7/dist-packages/pysam/include/tabix/pysam.h
/usr/lib/python2.7/dist-packages/pysam/include/tabix/tabix.h
/usr/share/doc/python-pysam/changelog.Debian.gz
/usr/share/doc/python-pysam/copyright

Changelog

2014-09-11 - Matthias Klose <doko@ubuntu.com>
python-pysam (0.7.7-1ubuntu1) utopic; urgency=medium
* Apply alignment and endian patches. Closes: #753490.
2014-04-19 - Charles Plessy <plessy@debian.org>
python-pysam (0.7.7-1) unstable; urgency=medium
* New upstream releases.
* Upstream source code moved to GitHub.
* Watch the Python Package Index since there are no relevant tags on GitHub.
* Added a git-buildpackage configuration file to mark its usage.
* Build-depend samtools (>= 0.1.19); this is needed for the regression tests
in Wheezy.
* debian/patches/offline-tests.patch: correction from a later release.
2014-03-19 - Andreas Tille <tille@debian.org>
python-pysam (0.7.5-5) unstable; urgency=medium
* Add make to autopkgtest dependencies
Closes: #741274
2014-03-11 - Andreas Tille <tille@debian.org>
python-pysam (0.7.5-4) unstable; urgency=medium
* Fix autotest
Closes: #741274
2014-03-01 - Andreas Tille <tille@debian.org>
python-pysam (0.7.5-3) unstable; urgency=medium
* Do not install tests in world writable dir
Closes: #739575
2014-02-20 - Andreas Tille <tille@debian.org>
python-pysam (0.7.5-2) unstable; urgency=medium
* debian/rules: Set PYTHONPATH correctly using dh_python
(thanks to Piotr O┼╝arowski <piotr@debian.org> for the patch)
Closes: #739631
2014-02-07 - Andreas Tille <tille@debian.org>
python-pysam (0.7.5-1) unstable; urgency=low
* Initial release (Closes: #738665)

See Also

Package Description
python-pyscard_1.9.2-2_amd64.deb Python wrapper above PC/SC API
python-pyscript-doc_0.6.1-4_all.deb Python module for producing postscript graphics - documentation
python-pyscript_0.6.1-4_all.deb Python module for producing postscript graphics
python-pyshp_1.2.3+ds-1_all.deb read/write support for ESRI Shapefile format
python-pyside.phonon_1.2.2-2build2_amd64.deb Qt 4 Phonon module - Python bindings
python-pyside.qtcore_1.2.2-2build2_amd64.deb Qt 4 core module - Python bindings
python-pyside.qtdeclarative_1.2.2-2build2_amd64.deb Qt 4 Declarative module - Python bindings
python-pyside.qtgui_1.2.2-2build2_amd64.deb Qt 4 GUI module - Python bindings
python-pyside.qthelp_1.2.2-2build2_amd64.deb Qt 4 help module - Python bindings
python-pyside.qtnetwork_1.2.2-2build2_amd64.deb Qt 4 network module - Python bindings
python-pyside.qtopengl_1.2.2-2build2_amd64.deb Qt 4 OpenGL module - Python bindings
python-pyside.qtscript_1.2.2-2build2_amd64.deb Qt 4 script module - Python bindings
python-pyside.qtsql_1.2.2-2build2_amd64.deb Qt 4 SQL module - Python bindings
python-pyside.qtsvg_1.2.2-2build2_amd64.deb Qt 4 SVG module - Python bindings
python-pyside.qttest_1.2.2-2build2_amd64.deb Qt 4 test module - Python bindings
Advertisement
Advertisement